package com.redstrate.watersymbol;

public class AttackAction implements UnitAction {
    private final Unit against;
    private final Unit attacker;

    public AttackAction(Unit attacker, Unit against) {
        this.against = against;
        this.attacker = attacker;
    }
    @Override
    public String getName() {
        return "Attack";
    }

    @Override
    public boolean execute() {
        System.out.println("Attacking for 5 damage!");
        against.health -= 5;
        return true;
    }
}
