package com.redstrate.watersymbol.maps;

import com.redstrate.watersymbol.Map;
import com.redstrate.watersymbol.Unit;
import com.redstrate.watersymbol.screens.GameScreen;

public class TestMap implements Map {

    @Override
    public void setup(GameScreen game) {
        Unit player = new Unit();
        player.name = "Unit";
        player.positionX = 11;
        player.positionY = 16;
        player.team = Unit.Team.Player;

        game.units.add(player);

        Unit player2 = new Unit();
        player2.name = "Unit 2";
        player2.positionX = 11;
        player2.positionY = 20;
        player2.team = Unit.Team.Player;

        game.units.add(player2);

        Unit enemy = new Unit();
        enemy.name = "Bandit A";
        enemy.positionX = 15;
        enemy.positionY = 18;
        enemy.team = Unit.Team.Enemy;

        game.units.add(enemy);

        Unit enemy2 = new Unit();
        enemy2.name = "Bandit B";
        enemy2.positionX = 15;
        enemy2.positionY = 30;
        enemy2.team = Unit.Team.Enemy;

        game.units.add(enemy2);
    }

    @Override
    public String getMapFilename() {
        return "test.tmx";
    }
}
